﻿Imports Infragistics.Win.UltraWinGrid

Public Class Form1

    Private Sub Form1_Load(sender As Object, e As EventArgs) Handles MyBase.Load
        Dim table As New DataTable

        table.Columns.Add("ID", GetType(Integer)).AutoIncrement = True
        table.Columns.Add("Name", GetType(String))

        table.Rows.Add(New Object() {Nothing, "Zero"})
        table.Rows.Add(New Object() {Nothing, "One"})
        table.Rows.Add(New Object() {Nothing, "Two"})
        table.Rows.Add(New Object() {Nothing, "Three"})
        table.Rows.Add(New Object() {Nothing, "Four"})
        table.Rows.Add(New Object() {Nothing, "Five"})
        table.Rows.Add(New Object() {Nothing, "Six"})

        UltraCombo1.DataSource = table
    End Sub

    Private Sub UltraCombo1_InitializeLayout(sender As Object, e As Infragistics.Win.UltraWinGrid.InitializeLayoutEventArgs) Handles UltraCombo1.InitializeLayout
        e.Layout.Bands(0).Columns("ID").Hidden = True

        Dim c As UltraGridColumn = e.Layout.Bands(0).Columns.Add()

        c.Key = "Selected"
        c.Header.Caption = String.Empty

        'This allows end users to select / unselect ALL items 
        c.Header.CheckBoxVisibility = HeaderCheckBoxVisibility.Always

        c.DataType = GetType(Boolean)

        'Move the checkbox column to the first position. 
        c.Header.VisiblePosition = 0

        Me.UltraCombo1.CheckedListSettings.CheckStateMember = "Selected"
        Me.UltraCombo1.CheckedListSettings.EditorValueSource = Infragistics.Win.EditorWithComboValueSource.CheckedItems
        ' Set up the control to use a custom list delimiter 
        Me.UltraCombo1.CheckedListSettings.ListSeparator = " / "
        ' Set ItemCheckArea to Item, so that clicking directly on an item also checks the item
        Me.UltraCombo1.CheckedListSettings.ItemCheckArea = Infragistics.Win.ItemCheckArea.Item
        Me.UltraCombo1.DisplayMember = "Name"
        Me.UltraCombo1.ValueMember = "ID"

    End Sub

    Private Sub Button1_Click(sender As Object, e As EventArgs) Handles Button1.Click
        ' Example showing how to select rows
        ' This will select each row with even VisibleIndex

        For Each row As UltraGridRow In UltraCombo1.Rows
            row.Cells("Selected").Value = row.VisibleIndex Mod 2 = 0
        Next
        UltraCombo1.Refresh()
    End Sub
End Class
